import javax.microedition.lcdui.*;

public class WiezeHanoiOptions extends Form
        implements CommandListener{

        private Command commandReady;
        private Command commandExit;
        private WiezeHanoiMIDlet midlet;
        private final String[] st = {"Wybierz stopie", "trudno (3-8):"};
        private final TextField field = new TextField("","3",1,2);
        private final String[] opcje =
                {"LEFT - w lewo\n", "RIGHT - w prawo\n", "FIRE - podnie/upu\n"};
        private int wynik;
        private boolean empty;


        public WiezeHanoiOptions(WiezeHanoiMIDlet midlet){
                super("Opcje");
                this.midlet = midlet;
                commandReady = new Command("Gotowe", Command.OK,1);
                commandExit = new Command("Wyjcie", Command.EXIT,1);
                addCommand(commandReady);
                addCommand(commandExit);
                append(st[0]);
                append(st[1]);
                append(field);
                for(int i=0;i<opcje.length;i++)
                        append(opcje[i]);
                setCommandListener(this);
        }

        public void commandAction(Command c, Displayable d){
                if(c == commandReady){
                        try{
                                wynik = Integer.parseInt(field.getString());
                        }
                        catch(NumberFormatException ex){
                                //jeeli nic nie zostao wpisane
                                //nie mona wystawi nastpnego ekranu
                                wynik = 0;
                        }
                        if(wynik<9 && wynik >2){
                                midlet.gameReady(wynik);
                        }
                }
                if(c == commandExit) midlet.exitApp();
        }
}