import javax.microedition.midlet.MIDlet;
import javax.microedition.lcdui.*;

public class WiezeHanoiMIDlet extends MIDlet
	implements CommandListener{
	private WiezeHanoiTitle title;
	private WiezeHanoiOptions optionScreen;
	private WiezeHanoiGame gameScreen;
	private WiezeHanoiScore scoreScreen;
	public Thread gameThread;
	private Display display;

	public WiezeHanoiMIDlet(){
	}
	protected void startApp(){
		title = new WiezeHanoiTitle(this);
		display = Display.getDisplay(this);
		Displayable current = display.getCurrent();
		if(current == null){
			display.setCurrent(null);
			display.setCurrent(title);
		}
	}
	public void showOptionScreen(){
		optionScreen = new WiezeHanoiOptions(this);
		display.setCurrent(optionScreen);
	}
	public void gameReady(int howHard){
		gameScreen = new WiezeHanoiGame(this,howHard);
		display.setCurrent(gameScreen);
		gameThread = new Thread(gameScreen);
		gameThread.start();
	}
	public void gameOver(long score){
		scoreScreen = new WiezeHanoiScore(this,score);
		display.setCurrent(scoreScreen);
		try{
			gameThread.join();
		}
		catch(InterruptedException ex){
			//cotam
		}
	}
	public void gameOver(String napis){
		scoreScreen = new WiezeHanoiScore(this,napis);
		display.setCurrent(scoreScreen);
		try{
			gameThread.join();
		}
		catch(InterruptedException ex){
			//cotam
		}
	}

	protected void pauseApp(){}
	protected void destroyApp(boolean b){
		notifyDestroyed();
	}
	//public void run(){}
	public void exitApp(){
	  destroyApp(true);
	}

	public void commandAction(Command c, Displayable d){
	}
}
