import javax.microedition.lcdui.*;
import java.util.Stack;

public class WiezeHanoiGame extends Canvas
    implements CommandListener, WiezeHanoiConstants, Runnable{

    private WiezeHanoiMIDlet midlet;
    private Command exitCommand;
//rysunek wiey
    private int HEIGHT = getHeight();
    private int WIDTH = getWidth();
//szeroko wiezy
    private int towerWidth = 1;
//wysokoc wiey
    private int towerHeight = HEIGHT/2;
//pozycje wie
    private int towerPos[] = {15, (WIDTH-towerWidth)/2, WIDTH-(15+towerWidth)};
//czas rozgrywki
    private long startTime;
    private long currentTime;
    private long time;
//zmienne potrzebne do gry
    private boolean isGameOver = false;
    private boolean playerWins = false;
//ile mamy bloczkw do przestawiania
    private int numberOfBlocks;
//bloczek trzymany przez gracza
    private Bloczek mamBloczek;
//trzy wieze
    private WiezaHanoi wieze[];
//ustawiamy wszysko na rodkowej wiey
    private int aktywnaWieza = 1;
//gracz nic nie ma
    private int numerBloczka = -1;
//bloczki potrzebne do gry
    private Bloczek[] bloczki;
    private boolean playerMoved;
//inne
    private int n;


    public WiezeHanoiGame(WiezeHanoiMIDlet midlet,int howHard){
        numberOfBlocks = howHard;
        this.midlet = midlet;
    //zbuduj wieze
        wieze = new WiezaHanoi[3];
        for(int i=0;i<wieze.length;i++)
            wieze[i] = new WiezaHanoi();
        bloczki = new Bloczek[numberOfBlocks];
    //zbuduj bloczki
        for(int i=0;i<numberOfBlocks;i++)
            bloczki[i] = new Bloczek(i);
    //ustaw wszystkie na pierwszej wiey
        for(int i=0;i<numberOfBlocks;i++){
            wieze[1].push(bloczki[i]);
            bloczki[i].ktoraWieza = 1;
        }
        wieze[1].ileElementow = numberOfBlocks;
    //ustaw obrazki bloczkw
        setImages();
    //dodaj komendy
        exitCommand = new Command("Zakocz",Command.EXIT,1);
        addCommand(exitCommand);
        setCommandListener(this);
    //rozpocznij odliczanie czasu
        startTime = System.currentTimeMillis();
    }

    public void paint(Graphics g){
        g.setColor(WHITE);
        g.fillRect(0,0,WIDTH,HEIGHT);
        g.setColor(BLACK);
    //zegarek
        currentTime = System.currentTimeMillis() - startTime;
        g.drawString(currentTime/60000+":"+
                    (csurrentTime/1000)%60,10,10,g.LEFT | g.TOP);
    //rysuje wiee
        g.fillRect(towerPos[0],HEIGHT/2,towerWidth,towerHeight);
        g.fillRect(towerPos[1],HEIGHT/2,towerWidth,towerHeight);
        g.fillRect(towerPos[2],HEIGHT/2,towerWidth,towerHeight);
    //po kazdym ruchu wykonaj odmalowanie
        do{
            drawPlayer(g,aktywnaWieza);
            for(int numer=0;numer<numberOfBlocks;numer++){
                drawBloczek(g,numer);
            }
            playerMoved = false;
        }while(playerMoved == true);
    }

    //zdarzenia
    public void commandAction(Command c, Displayable d){
        if(c == exitCommand)
        isGameOver = true;
            midlet.gameOver("Nie udao si ;(");
    }

    //obsuga ruchu wskanikiem oraz operacji na bloczkach
    public void keyPressed(int code){
        int j =  getGameAction(code);
        switch(j){
        //ruch w lewo
            case LEFT :
                switch(aktywnaWieza){
                    case 0 : aktywnaWieza = 2;
                        break;
                    case 1 : aktywnaWieza = 0;
                        break;
                    case 2 : aktywnaWieza = 1;
                        break;
                    default : break;
                } //skaczemy do okoa
                if(numerBloczka != -1)  mamBloczek.x = towerPos[aktywnaWieza];
                playerMoved = true; //wykonano ruch
                repaint();
                break;
        //ruch w prawo
            case RIGHT :
                aktywnaWieza = (aktywnaWieza + 1) % 3;
                if(numerBloczka != -1)  mamBloczek.x = towerPos[aktywnaWieza];
                playerMoved = true; //wykonano ruch
                repaint();
                break;
        //podniesienie lub upuszczenie bloczka
            case FIRE :
                if(wieze[aktywnaWieza].empty()){//pusta wiea
                    if(numerBloczka == -1){
                        //nie mam nic do upuszczenia i pobrania
                    }else{
                        //mog upuci cokolwiek
                        wieze[aktywnaWieza].push(mamBloczek);
                        numerBloczka = -1;
                        ((Bloczek)wieze[aktywnaWieza].peek()).y = HEIGHT - 5;
                        wieze[aktywnaWieza].ileElementow = 1;
                        repaint();
                    }
                }else{ //niepusta wiea
                    if(numerBloczka == -1){
                        //mog cokolwiek podnie
                        mamBloczek = (Bloczek)wieze[aktywnaWieza].pop();
                        mamBloczek.y = HEIGHT/2-5;
                        mamBloczek.x = towerPos[aktywnaWieza];
                        numerBloczka = mamBloczek.numer;
                        wieze[aktywnaWieza].ileElementow -= 1;
                        repaint();
                    }else if(numerBloczka > ((Bloczek)wieze[aktywnaWieza].peek()).numer){
                        //mog upuci tylko jeeli speniony jest warunek
                        wieze[aktywnaWieza].push(mamBloczek);
                        numerBloczka = -1;
                        ((Bloczek)wieze[aktywnaWieza].peek()).y =
                                    HEIGHT - 5*(wieze[aktywnaWieza].ileElementow + 1);
                        wieze[aktywnaWieza].ileElementow += 1;
                        repaint();
                    }
                }
            default : break;
        }
    }
    //wtek gry
    public void run(){
        Thread current = Thread.currentThread();
    //gra jest zakoczona jeeli wiea 0 i 1 lub 1 i 2 s puste
    //i gracz nic nie trzyma
        while(!isGameOver){
            repaint(10,10,30,20);
            if(isGameOver = (numerBloczka == -1) && (wieze[1].ileElementow == 0)
                && (wieze[0].ileElementow == 0 || wieze[2].ileElementow == 0))
                playerWins = true;
            try{
                current.sleep(100);
            }
            catch(InterruptedException e){
            }
        if(isGameOver && playerWins) midlet.gameOver(currentTime);
        }
    }
    //stos do obsugi wiey
    class WiezaHanoi extends Stack{
        //wszystko co potrzebne jest w klasie java.util.Stack
        public int ileElementow;
    }
    //zrb obrazki bloczkw
    public void  setImages(){
        for(int i=0;i<numberOfBlocks;i++){
            int w = towerWidth+32-i*4;//odchudzanie bloczkw
            bloczki[i].obrazek = Image.createImage(w,5);
            bloczki[i].obrazek.getGraphics().setColor(BLACK);
            bloczki[i].obrazek.getGraphics().fillRect(0,0,w,5);
        }
    }
    //bloczek
    class Bloczek{
    //na ktrej jest bloczek
        public int ktoraWieza = 1;
    //liczba elementw ktre mog byc pod danym bloczkiem
        public int numer;
    //obrazek przypisany do bloczka
        public Image obrazek;
    //pozycja bloczka
        public int x,y;
        public Bloczek(int num){
            numer = num;
            x = towerPos[ktoraWieza];
            y = HEIGHT - 5*(num + 1);
        }
        public Bloczek(){}
    }
    //rusuje element wskazujcy gracza
    private void drawPlayer(Graphics g, int nadKtora){
        g.setColor(WHITE);
        g.fillRect(0,towerHeight-15,WIDTH,10);
        g.setColor(BLACK);
        g.fillRect(towerPos[nadKtora],towerHeight-15,towerWidth,5);
    }
    //rysuje bloczki
    private void drawBloczek(Graphics g, int num){
        g.drawImage(bloczki[num].obrazek,
                    bloczki[num].x, bloczki[num].y,
                    g.TOP | g.HCENTER);
    }
}