import javax.microedition.midlet.MIDlet;
import javax.microedition.lcdui.*;

public class WiezeHanoiMIDlet extends MIDlet{

    private WiezeHanoiTitle title;
    private WiezeHanoiOptions optionScreen;
    private WiezeHanoiGame gameScreen;
    private WiezeHanoiScore scoreScreen;
    public Thread gameThread;
    private Display display;

    public WiezeHanoiMIDlet(){
    }

//przygotowanie ekranu powitalnego
    protected void startApp(){
        title = new WiezeHanoiTitle(this);
        display = Display.getDisplay(this);
        Displayable current = display.getCurrent();
        if(current == null){
            display.setCurrent(null);
            display.setCurrent(title);
        }
    }

//poka ekran z opcjami
    public void showOptionScreen(){
        optionScreen = new WiezeHanoiOptions(this);
        display.setCurrent(optionScreen);
    }

//poka ekran z gr i rozpocznij gr
    public void gameReady(int howHard){
        gameScreen = new WiezeHanoiGame(this,howHard);
        display.setCurrent(gameScreen);
        gameThread = new Thread(gameScreen);
        gameThread.start();
    }
//poka ekran kocowy jeeli gracz zakoczy pomylnie
    public void gameOver(long score){
        scoreScreen = new WiezeHanoiScore(this,score);
        display.setCurrent(scoreScreen);
        try{
            gameThread.join();
        }
        catch(InterruptedException ex){
        }
    }
//poka ekran kocowy jeeli gracz przewa gr
    public void gameOver(String napis){
        scoreScreen = new WiezeHanoiScore(this,napis);
        display.setCurrent(scoreScreen);
        try{
            gameThread.join();
        }
        catch(InterruptedException ex){
        }
    }

    protected void pauseApp(){}

    protected void destroyApp(boolean b){
        notifyDestroyed();
    }

    public void exitApp(){
        destroyApp(true);
    }
}
